Download it now!
Bug 104085 - FILESAVE: RTF: File corrupted after RT
Summary: FILESAVE: RTF: File corrupted after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF RTF-Corrupted
  Show dependency treegraph
 
Reported: 2016-11-21 11:40 UTC by Xisco Faulí
Modified: 2017-03-02 18:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample1 (7.95 KB, application/rtf)
2016-11-21 11:40 UTC, Xisco Faulí
Details
FILEOPEN in 5.2.3.3 v.s 4.3.7.2 (78.82 KB, image/png)
2016-12-23 15:31 UTC, Mark Hung
Details
Saved file ( by 5.2.3.3 v.s. 4.3.7.2 ) view from MS Word (72.81 KB, image/png)
2016-12-23 15:33 UTC, Mark Hung
Details
Error in MSO 2010 (11.81 KB, image/png)
2016-12-23 15:43 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-21 11:40:25 UTC
Created attachment 128920 [details]
sample1

1. Open attached file
2. Save as a new .RTF file
3. Open then new file in MSOffice

Observed behaviour: file is corrupted

Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-21 11:43:02 UTC
Regression introduced by:

author	Mark Hung <marklh9@gmail.com>	2014-11-04 13:31:53 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-11-07 21:07:33 (GMT)
commit	d30a8ec448bcd08c6a52a37d6ae41a4b71c235da (patch)
tree	f2b98f28a26d2dde0f136d0565a4043881e27c02
parent	5cf2cd7934893efbec3b9c5dbcd76ca8eee80ecf (diff)

Correct number format mapping for CJK numbered lists in rtf/doc/docx filters.

Adding Cc: to Mark Hung
Comment 2 Mark Hung 2016-12-23 15:31:57 UTC
Created attachment 129900 [details]
FILEOPEN in 5.2.3.3 v.s 4.3.7.2

Hi Xisco,

What do you mean by file is corrupted? Do you mean that you can't open the file, or do you mean there is a formatting problem?

I can open the file in MS Office 2007 and 2003 without any problem ( verified with 5.2.3.3 ).

On the other hand, formats in original document are lost for both documents, so from my point of view it is hard to say that it's getting better or worse.
Comment 3 Mark Hung 2016-12-23 15:33:26 UTC
Created attachment 129901 [details]
Saved file ( by 5.2.3.3 v.s. 4.3.7.2 ) view from MS Word
Comment 4 Xisco Faulí 2016-12-23 15:43:35 UTC
Created attachment 129902 [details]
Error in MSO 2010

This is the error I get when I try to open the saved document in MSO 2010
Comment 5 Commit Notification 2017-01-04 12:21:02 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=289d42c8e24946ca099462fc5f71d0a46d3a8ad5

tdf#104085 Replace number format code literal with ooxml enumeration.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2017-03-01 10:59:12 UTC
Hello Mark,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 7 Mark Hung 2017-03-02 15:43:16 UTC
Hi Xisco,

Actually I didn't reproduce at my side ( verified with MSO 2010) , but I fix accidentally introduced issue by the commit, where bullet isn't imported properly.

Would you mind helping me to check if you can reproduce the issue in 5.4?
Comment 8 Xisco Faulí 2017-03-02 18:11:03 UTC
file is no longer corrupted after a roundtrip in

Version: 5.4.0.0.alpha0+
Build ID: d3676ceeec55a41337ce5e6bc596f4f100d0638e
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

closing  as RESOLVED VERIFIED